package server

import (
	"context"

	"git.espin.casa/albert/cml04-gdm-int/internal/service"
	"git.espin.casa/albert/cml04-gdm-int/pkg/api"
)

type server struct {
	api.UnimplementedRollDataServiceServer
	svc service.IService
}

func (s server) BdRollData(ctx context.Context, req *api.BdRollDataReq) (res *api.BdRollDataRes, err error) {
	return s.svc.BdRollData(ctx, req)
}

func (s server) EdRollData(ctx context.Context, req *api.EdRollDataReq) (res *api.EdRollDataRes, err error) {
	return s.svc.EdRollData(ctx, req)
}

func (s server) UfRollData(ctx context.Context, req *api.UfRollDataReq) (res *api.UfRollDataRes, err error) {
	return s.svc.UfRollData(ctx, req)
}

func (s server) UrRollData(ctx context.Context, req *api.UrRollDataReq) (res *api.UrRollDataRes, err error) {
	return s.svc.UrRollData(ctx, req)
}

func NewServer(svc service.IService) *server {
	return &server{svc: svc}
}
